;(function(window) {
    if (window.WebViewJavascriptBridge) {
        return;
    }
    window.WebViewJavascriptBridge = {
        registerHandler: registerHandler,
        callHandler: callHandler,
        handleMessageFromNative: handleMessageFromNative
    };
    let messageHandlers = {};
    let uniqueId = 1;
    function registerHandler(handlerName, handler) {
        messageHandlers[handlerName] = handler;
    }
    function callHandler(handlerName, data) {
        window.normalPipe.postMessage(handlerName, data);
    }
    function handleMessageFromNative(handlerName, messageJSON) {
        const message = JSON.parse(messageJSON);
        let responseCallback;
        responseCallback = messageHandlers[handlerName];
        if (!responseCallback) {
            return;
        }
        responseCallback(messageJSON);
    }
})(window);